#pragma once

#include <string>
#include <vector>
#include <exception>

extern std::string log_entries;
extern std::vector<size_t> log_entry_line_offsets;

std::string format_log(std::string entry, time_t time);
std::string format_log(std::string entry);
void log_raw(std::string line, bool print = true);
void log(std::string entry, time_t time);
void log(std::string entry);
